Bug 971321 - tests failing on s390(x) and ppc(64) block build of LO 4.1 beta
tests failing on s390(x) and ppc(64) block build of LO 4.1 beta
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-06-06 05:23 EDT by Dan Horák
Modified: 2013-06-18 02:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-4.1.0.0-9.beta2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:09:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-06-06 05:23:53 EDT
There are couple of test failing on s390 and ppc blocking a successful build of LO 4.1

from s390 scratch build (http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1065681)
...
S=/builddir/build/BUILD/libreoffice-4.1.0.0.beta1 && O=$S/solver/unxlngs390.pro && W=$S/workdir/unxlngs390.pro &&  mkdir -p $W/CppunitTest/ &&   rm -fr $W/CppunitTest/sw_htmlexport.test.core && mkdir $W/CppunitTest/sw_htmlexport.test.core && cd $W/CppunitTest/sw_htmlexport.test.core && (LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib:$S/instdir/unxlngs390.pro/program":$O/lib/sqlite   DBGSV_ERROR_OUT=shell DISABLE_SAL_DBGBOX=t     $O/bin/cppunit/cppunittester $W/LinkTarget/CppunitTest/libtest_sw_htmlexport.so --headless "-env:BRAND_BASE_DIR=file://$O/unittest/install"   "-env:CONFIGURATION_LAYERS=xcsxcu:file://$O/xml/registry module:file://$O/xml/registry/spool xcsxcu:file://$O/unittest/registry"  "-env:UNO_TYPES=file://$O/bin/offapi.rdb file://$O/bin/udkapi.rdb"  "-env:UNO_SERVICES=file://$O/xml/ure/services.rdb file://$O/xml/component/basic/util/sb.component file://$O/xml/component/comphelper/util/comphelp.component file://$O/xml/component/configmgr/source/configmgr.component file://$O/xml/component/embeddedobj/util/embobj.component file://$O/xml/component/fileaccess/source/fileacc.component file://$O/xml/component/filter/source/config/cache/filterconfig1.component file://$O/xml/component/forms/util/frm.component file://$O/xml/component/framework/util/fwk.component file://$O/xml/component/i18npool/util/i18npool.component file://$O/xml/component/linguistic/source/lng.component file://$O/xml/component/oox/util/oox.component file://$O/xml/component/package/source/xstor/xstor.component file://$O/xml/component/package/util/package2.component file://$O/xml/component/sax/source/expatwrap/expwrap.component file://$O/xml/component/sax/source/fastparser/fastsax.component file://$O/xml/component/sw/util/sw.component file://$O/xml/component/sw/util/swd.component file://$O/xml/component/sw/util/msword.component file://$O/xml/component/sfx2/util/sfx.component file://$O/xml/component/starmath/util/sm.component file://$O/xml/component/svl/source/fsstor/fsstorage.component file://$O/xml/component/svtools/util/svt.component file://$O/xml/component/toolkit/util/tk.component file://$O/xml/component/ucb/source/core/ucb1.component file://$O/xml/component/ucb/source/ucp/file/ucpfile1.component file://$O/xml/component/unotools/util/utl.component file://$O/xml/component/unoxml/source/service/unoxml.component file://$O/xml/component/writerfilter/util/writerfilter.component file://$O/xml/component/xmloff/util/xo.component"  -env:URE_INTERNAL_LIB_DIR=file://$O/lib  -env:LO_LIB_DIR=file://$O/lib --protector unoexceptionprotector.so unoexceptionprotector --protector unobootstrapprotector.so unobootstrapprotector    > $W/CppunitTest/sw_htmlexport.test.log 2>&1 || (RET=$? && cat $W/CppunitTest/sw_htmlexport.test.log && printf '\nError: a unit test failed, please do one of:\n\nexport DEBUGCPPUNIT=TRUE            # for exception catching\nexport GDBCPPUNITTRACE="gdb --args" # for interactive debugging\nexport VALGRIND=memcheck            # for memory checking\n\nand retry using: make %sTest_%s\n\n' Cppunit sw_htmlexport  && $S/solenv/bin/gdb-core-bt.sh $O/bin/cppunit/cppunittester $W/CppunitTest/sw_htmlexport.test.core $RET && false))
[build CUT] sw_ooxmlexport
S=/builddir/build/BUILD/libreoffice-4.1.0.0.beta1 && O=$S/solver/unxlngs390.pro && W=$S/workdir/unxlngs390.pro &&  mkdir -p $W/CppunitTest/ &&   rm -fr $W/CppunitTest/sw_ooxmlexport.test.core && mkdir $W/CppunitTest/sw_ooxmlexport.test.core && cd $W/CppunitTest/sw_ooxmlexport.test.core && (LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib:$S/instdir/unxlngs390.pro/program":$O/lib/sqlite   DBGSV_ERROR_OUT=shell DISABLE_SAL_DBGBOX=t     $O/bin/cppunit/cppunittester $W/LinkTarget/CppunitTest/libtest_sw_ooxmlexport.so --headless "-env:BRAND_BASE_DIR=file://$O/unittest/install"   "-env:CONFIGURATION_LAYERS=xcsxcu:file://$O/xml/registry module:file://$O/xml/registry/spool xcsxcu:file://$O/unittest/registry"  "-env:UNO_TYPES=file://$O/bin/offapi.rdb file://$O/bin/udkapi.rdb"  "-env:UNO_SERVICES=file://$O/xml/ure/services.rdb file://$O/xml/component/basic/util/sb.component file://$O/xml/component/canvas/source/factory/canvasfactory.component file://$O/xml/component/comphelper/util/comphelp.component file://$O/xml/component/configmgr/source/configmgr.component file://$O/xml/component/embeddedobj/util/embobj.component file://$O/xml/component/fileaccess/source/fileacc.component file://$O/xml/component/filter/source/config/cache/filterconfig1.component file://$O/xml/component/framework/util/fwk.component file://$O/xml/component/i18npool/util/i18npool.component file://$O/xml/component/linguistic/source/lng.component file://$O/xml/component/oox/util/oox.component file://$O/xml/component/package/source/xstor/xstor.component file://$O/xml/component/package/util/package2.component file://$O/xml/component/sax/source/expatwrap/expwrap.component file://$O/xml/component/sax/source/fastparser/fastsax.component file://$O/xml/component/sw/util/sw.component file://$O/xml/component/sw/util/swd.component file://$O/xml/component/sw/util/msword.component file://$O/xml/component/sfx2/util/sfx.component file://$O/xml/component/starmath/util/sm.component file://$O/xml/component/svl/source/fsstor/fsstorage.component file://$O/xml/component/svtools/util/svt.component file://$O/xml/component/toolkit/util/tk.component file://$O/xml/component/ucb/source/core/ucb1.component file://$O/xml/component/ucb/source/ucp/file/ucpfile1.component file://$O/xml/component/unotools/util/utl.component file://$O/xml/component/unoxml/source/service/unoxml.component file://$O/xml/component/writerfilter/util/writerfilter.component file://$O/xml/component/xmloff/util/xo.component"  -env:URE_INTERNAL_LIB_DIR=file://$O/lib  -env:LO_LIB_DIR=file://$O/lib --protector unoexceptionprotector.so unoexceptionprotector --protector unobootstrapprotector.so unobootstrapprotector    > $W/CppunitTest/sw_ooxmlexport.test.log 2>&1 || (RET=$? && cat $W/CppunitTest/sw_ooxmlexport.test.log && printf '\nError: a unit test failed, please do one of:\n\nexport DEBUGCPPUNIT=TRUE            # for exception catching\nexport GDBCPPUNITTRACE="gdb --args" # for interactive debugging\nexport VALGRIND=memcheck            # for memory checking\n\nand retry using: make %sTest_%s\n\n' Cppunit sw_ooxmlexport  && $S/solenv/bin/gdb-core-bt.sh $O/bin/cppunit/cppunittester $W/CppunitTest/sw_ooxmlexport.test.core $RET && false))
[build CUT] sw_ww8export
S=/builddir/build/BUILD/libreoffice-4.1.0.0.beta1 && O=$S/solver/unxlngs390.pro && W=$S/workdir/unxlngs390.pro &&  mkdir -p $W/CppunitTest/ &&   rm -fr $W/CppunitTest/sw_ww8export.test.core && mkdir $W/CppunitTest/sw_ww8export.test.core && cd $W/CppunitTest/sw_ww8export.test.core && (LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib:$S/instdir/unxlngs390.pro/program":$O/lib/sqlite   DBGSV_ERROR_OUT=shell DISABLE_SAL_DBGBOX=t     $O/bin/cppunit/cppunittester $W/LinkTarget/CppunitTest/libtest_sw_ww8export.so --headless "-env:BRAND_BASE_DIR=file://$O/unittest/install"   "-env:CONFIGURATION_LAYERS=xcsxcu:file://$O/xml/registry module:file://$O/xml/registry/spool xcsxcu:file://$O/unittest/registry"  "-env:UNO_TYPES=file://$O/bin/offapi.rdb file://$O/bin/udkapi.rdb"  "-env:UNO_SERVICES=file://$O/xml/ure/services.rdb file://$O/xml/component/basic/util/sb.component file://$O/xml/component/comphelper/util/comphelp.component file://$O/xml/component/configmgr/source/configmgr.component file://$O/xml/component/dbaccess/util/dba.component file://$O/xml/component/embeddedobj/util/embobj.component file://$O/xml/component/fileaccess/source/fileacc.component file://$O/xml/component/filter/source/config/cache/filterconfig1.component file://$O/xml/component/forms/util/frm.component file://$O/xml/component/framework/util/fwk.component file://$O/xml/component/i18npool/util/i18npool.component file://$O/xml/component/linguistic/source/lng.component file://$O/xml/component/package/source/xstor/xstor.component file://$O/xml/component/package/util/package2.component file://$O/xml/component/sax/source/expatwrap/expwrap.component file://$O/xml/component/sw/util/msword.component file://$O/xml/component/sw/util/sw.component file://$O/xml/component/sw/util/swd.component file://$O/xml/component/sfx2/util/sfx.component file://$O/xml/component/svl/source/fsstor/fsstorage.component file://$O/xml/component/svtools/util/svt.component file://$O/xml/component/toolkit/util/tk.component file://$O/xml/component/ucb/source/core/ucb1.component file://$O/xml/component/ucb/source/ucp/file/ucpfile1.component file://$O/xml/component/unotools/util/utl.component file://$O/xml/component/unoxml/source/service/unoxml.component file://$O/xml/component/xmlhelp/util/ucpchelp1.component file://$O/xml/component/xmloff/util/xo.component"  -env:URE_INTERNAL_LIB_DIR=file://$O/lib  -env:LO_LIB_DIR=file://$O/lib --protector unoexceptionprotector.so unoexceptionprotector --protector unobootstrapprotector.so unobootstrapprotector    > $W/CppunitTest/sw_ww8export.test.log 2>&1 || (RET=$? && cat $W/CppunitTest/sw_ww8export.test.log && printf '\nError: a unit test failed, please do one of:\n\nexport DEBUGCPPUNIT=TRUE            # for exception catching\nexport GDBCPPUNITTRACE="gdb --args" # for interactive debugging\nexport VALGRIND=memcheck            # for memory checking\n\nand retry using: make %sTest_%s\n\n' Cppunit sw_ww8export  && $S/solenv/bin/gdb-core-bt.sh $O/bin/cppunit/cppunittester $W/CppunitTest/sw_ww8export.test.core $RET && false))
[build CUT] sw_ww8import
/bin/sh: line 1: 27530 Segmentation fault      LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib:$S/instdir/unxlngs390.pro/program":$O/lib/sqlite DBGSV_ERROR_OUT=shell DISABLE_SAL_DBGBOX=t $O/bin/cppunit/cppunittester $W/LinkTarget/CppunitTest/libtest_sw_ww8export.so --headless "-env:BRAND_BASE_DIR=file://$O/unittest/install" "-env:CONFIGURATION_LAYERS=xcsxcu:file://$O/xml/registry module:file://$O/xml/registry/spool xcsxcu:file://$O/unittest/registry" "-env:UNO_TYPES=file://$O/bin/offapi.rdb file://$O/bin/udkapi.rdb" "-env:UNO_SERVICES=file://$O/xml/ure/services.rdb file://$O/xml/component/basic/util/sb.component file://$O/xml/component/comphelper/util/comphelp.component file://$O/xml/component/configmgr/source/configmgr.component file://$O/xml/component/dbaccess/util/dba.component file://$O/xml/component/embeddedobj/util/embobj.component file://$O/xml/component/fileaccess/source/fileacc.component file://$O/xml/component/filter/source/config/cache/filterconfig1.component file://$O/xml/component/forms/util/frm.component file://$O/xml/component/framework/util/fwk.component file://$O/xml/component/i18npool/util/i18npool.component file://$O/xml/component/linguistic/source/lng.component file://$O/xml/component/package/source/xstor/xstor.component file://$O/xml/component/package/util/package2.component file://$O/xml/component/sax/source/expatwrap/expwrap.component file://$O/xml/component/sw/util/msword.component file://$O/xml/component/sw/util/sw.component file://$O/xml/component/sw/util/swd.component file://$O/xml/component/sfx2/util/sfx.component file://$O/xml/component/svl/source/fsstor/fsstorage.component file://$O/xml/component/svtools/util/svt.component file://$O/xml/component/toolkit/util/tk.component file://$O/xml/component/ucb/source/core/ucb1.component file://$O/xml/component/ucb/source/ucp/file/ucpfile1.component file://$O/xml/component/unotools/util/utl.component file://$O/xml/component/unoxml/source/service/unoxml.component file://$O/xml/component/xmlhelp/util/ucpchelp1.component file://$O/xml/component/xmloff/util/xo.component" -env:URE_INTERNAL_LIB_DIR=file://$O/lib -env:LO_LIB_DIR=file://$O/lib --protector unoexceptionprotector.so unoexceptionprotector --protector unobootstrapprotector.so unobootstrapprotector > $W/CppunitTest/sw_ww8export.test.log 2>&1
File tested,Execution Time (ms)
n325936.doc,519
fdo45724.odt,
Error: a unit test failed, please do one of:
export DEBUGCPPUNIT=TRUE            # for exception catching
export GDBCPPUNITTRACE="gdb --args" # for interactive debugging
export VALGRIND=memcheck            # for memory checking
and retry using: make CppunitTest_sw_ww8export
No core file identified in directory /builddir/build/BUILD/libreoffice-4.1.0.0.beta1/workdir/unxlngs390.pro/CppunitTest/sw_ww8export.test.core
To show backtraces for crashes during test execution,
enable core files with:
   ulimit -c unlimited
make[1]: *** [/builddir/build/BUILD/libreoffice-4.1.0.0.beta1/workdir/unxlngs390.pro/CppunitTest/sw_ww8export.test] Error 1
make[1]: *** Waiting for unfinished jobs....


from ppc build (http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1138409)
...
S=/builddir/build/BUILD/libreoffice-4.1.0.0.beta1 && O=$S/solver/unxlngppc64.pro && W=$S/workdir/unxlngppc64.pro &&  mkdir -p $W/JavaClassSet/Jar/reportbuilderwizard/META-INF && echo Manifest-Version: 1.0 > $W/JavaClassSet/Jar/reportbuilderwizard/META-INF/MANIFEST.MF && echo "Class-Path: commonwizards.jar report.jar" >> $W/JavaClassSet/Jar/reportbuilderwizard/META-INF/MANIFEST.MF && echo "Solar-Version: 4.1.0.0" >> $W/JavaClassSet/Jar/reportbuilderwizard/META-INF/MANIFEST.MF && cat $S/wizards/com/sun/star/wizards/reportbuilder/MANIFEST.MF >> $W/JavaClassSet/Jar/reportbuilderwizard/META-INF/MANIFEST.MF && mkdir -p $W/Jar/ && cd $W/JavaClassSet/Jar/reportbuilderwizard && jar cfm $W/Jar/reportbuilderwizard.jar $W/JavaClassSet/Jar/reportbuilderwizard/META-INF/MANIFEST.MF META-INF com   || (rm $W/Jar/reportbuilderwizard.jar; false) 
[build CUT] basebmp_cpputest
S=/builddir/build/BUILD/libreoffice-4.1.0.0.beta1 && O=$S/solver/unxlngppc64.pro && W=$S/workdir/unxlngppc64.pro &&  mkdir -p $W/CppunitTest/ &&   rm -fr $W/CppunitTest/basebmp_cpputest.test.core && mkdir $W/CppunitTest/basebmp_cpputest.test.core && cd $W/CppunitTest/basebmp_cpputest.test.core && (LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}"$O/lib:$S/instdir/unxlngppc64.pro/program":$O/lib/sqlite   DBGSV_ERROR_OUT=shell DISABLE_SAL_DBGBOX=t     $O/bin/cppunit/cppunittester $W/LinkTarget/CppunitTest/libtest_basebmp_cpputest.so --headless "-env:BRAND_BASE_DIR=file://$O/unittest/install"    > $W/CppunitTest/basebmp_cpputest.test.log 2>&1 || (RET=$? && cat $W/CppunitTest/basebmp_cpputest.test.log && printf '\nError: a unit test failed, please do one of:\n\nexport DEBUGCPPUNIT=TRUE            # for exception catching\nexport GDBCPPUNITTRACE="gdb --args" # for interactive debugging\nexport VALGRIND=memcheck            # for memory checking\n\nand retry using: make %sTest_%s\n\n' Cppunit basebmp_cpputest  && $S/solenv/bin/gdb-core-bt.sh $O/bin/cppunit/cppunittester $W/CppunitTest/basebmp_cpputest.test.core $RET && false))
masktest.cxx:80:Assertion
Test name: N12_GLOBAL__N_18MaskTestE::testMaskBasics
assertion failed
- Expression: countPixel( rDevice, aCol ) == 100-25
- number of rendered pixel is not 25
polytest.cxx:109:Assertion
Test name: N12_GLOBAL__N_18PolyTestE::testHairline
assertion failed
- Expression: countPixel( rDevice, aCol ) == 6
- number of rendered pixel is not 6
polytest.cxx:179:Assertion
Test name: N12_GLOBAL__N_18PolyTestE::testPolyPolyClip
assertion failed
- Expression: countPixel( rDevice, aCol ) == 7
- number of rendered pixel is not 7
Failures !!!
Run: 30   Failure total: 3   Failures: 3   Errors: 0
Error: a unit test failed, please do one of:
export DEBUGCPPUNIT=TRUE            # for exception catching
export GDBCPPUNITTRACE="gdb --args" # for interactive debugging
export VALGRIND=memcheck            # for memory checking
and retry using: make CppunitTest_basebmp_cpputest
make[1]: *** [/builddir/build/BUILD/libreoffice-4.1.0.0.beta1/workdir/unxlngppc64.pro/CppunitTest/basebmp_cpputest.test] Error 1
make[1]: *** Waiting for unfinished jobs....


Version-Release number of selected component (if applicable):
libreoffice-4.1.0.0-3.beta1.fc19 (s390)
libreoffice-4.1.0.0-4.beta1.fc19 (ppc)
Comment 2 Phil Knirsch 2013-06-12 11:20:31 EDT
Hi David.

I've tried rebuilding with that patch and i'm still seeing the same failure.

If you need a machine to debug this i can give you access to a ppc64 machine with the latest Fedora 19 package installed.

Thanks & regards, Phil
Comment 3 David Tardon 2013-06-13 06:51:22 EDT
(In reply to Phil Knirsch from comment #2)
> If you need a machine to debug this i can give you access to a ppc64 machine
> with the latest Fedora 19 package installed.

Thanks. Can you grab me on IRC? My nick is dtardon.
Comment 4 David Tardon 2013-06-16 02:37:02 EDT
Because time is running out, I have disabled all the import/export tests in sw, to have something buildable. I am going to continue with debugging.
Comment 5 Fedora Update System 2013-06-16 08:12:12 EDT
libreoffice-4.1.0.0-9.beta2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.0.0-9.beta2.fc19
Comment 6 Fedora Update System 2013-06-16 15:21:27 EDT
Package libreoffice-4.1.0.0-9.beta2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.0.0-9.beta2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11003/libreoffice-4.1.0.0-9.beta2.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-18 02:09:29 EDT
libreoffice-4.1.0.0-9.beta2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.